/*
 * ToPostfixPushdownAutomaton.h
 *
 *  Created on: 11. 4. 2016
 *	  Author: Tomas Pecka
 */

#include "ToPostfixPushdownAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace rte {

namespace convert {

auto ToAutomatonFormalRegExp = registration::AbstractRegister < ToPostfixPushdownAutomaton, automaton::NPDA < ext::variant < common::ranked_symbol < DefaultSymbolType, DefaultRankType >, alphabet::EndSymbol >, ext::variant < common::ranked_symbol < ext::pair < DefaultSymbolType, unsigned >, DefaultRankType >, alphabet::BottomOfTheStackSymbol >, char >, const rte::FormalRTE < > & > ( ToPostfixPushdownAutomaton::convert );

} /* namespace convert */

} /* namespace rte */
