/*
 * BitParallelIndexConstruction.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "BitParallelIndexConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

auto bitParallelIndexConstructionLinearString = registration::AbstractRegister < BitParallelIndexConstruction, indexes::stringology::BitParallelIndex < DefaultSymbolType >, const string::LinearString < > & > ( BitParallelIndexConstruction::construct );

} /* namespace indexing */

} /* namespace stringology */
