/*
 * ExactMatchingAutomaton.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#include "SequenceMatchingAutomaton.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace matching {

auto SequenceMatchingAutomatonLinearString = registration::AbstractRegister < SequenceMatchingAutomaton, automaton::NFA < DefaultSymbolType, unsigned >, const string::LinearString < > & > ( SequenceMatchingAutomaton::construct );

} /* namespace matching */

} /* namespace stringology */
