/*
 * SuffixAutomatonFactors.cpp
 *
 *  Created on: 10. 1. 2017
 *      Author: Jan Travnicek
 */

#include "SuffixAutomatonFactors.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto SuffixAutomatonFactorsLinearString = registration::AbstractRegister < SuffixAutomatonFactors, ext::set < unsigned >, const indexes::stringology::SuffixAutomaton < > &, const string::LinearString < > & > ( SuffixAutomatonFactors::query );

} /* namespace query */

} /* namespace stringology */
